Package org.apache.cxf.interceptor

# Class AnnotationInterceptors

java.lang.Object
org.apache.cxf.interceptor.AnnotationInterceptors

public class AnnotationInterceptors extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotationInterceptors(Class<?>... clz)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Feature>`
  `getFeatures()`
  `List<Interceptor<? extends Message>>`
  `getInFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  `getInInterceptors()`
  `List<Interceptor<? extends Message>>`
  `getOutFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  `getOutInterceptors()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnnotationInterceptors

    public AnnotationInterceptors(Class<?>... clz)

- ## Method Details

  - ### getInFaultInterceptors

    public List<Interceptor<? extends Message>> getInFaultInterceptors()

  - ### getInInterceptors

    public List<Interceptor<? extends Message>> getInInterceptors()

  - ### getOutFaultInterceptors

    public List<Interceptor<? extends Message>> getOutFaultInterceptors()

  - ### getOutInterceptors

    public List<Interceptor<? extends Message>> getOutInterceptors()

  - ### getFeatures

    public List<Feature> getFeatures()